Get Attack Discovery schedule by ID
https://{kibana_url}
- GET /api/attack_discovery/schedules/{id}
Retrieves a specific Attack Discovery schedule by its unique identifier. Returns complete schedule configuration including parameters, interval settings, associated actions, and execution history.
Path Parameters
-
idstring · min: 1required -
The unique identifier (UUID) of the Attack Discovery schedule to retrieve. This ID is returned when creating a schedule and can be found in schedule listings.
Responses
Successfully retrieved Attack Discovery schedule with complete configuration and metadata
-
actionsrequired -
The Attack Discovery schedule actions
-
action_type_idstringrequired -
The action type used for sending notifications.
-
alerts_filterobject -
frequency -
The action frequency defines when the action runs (for example, only on schedule execution or at specific time intervals).
-
notify_whenrequired -
The condition for throttling the notification:
onActionGroupChange,onActiveAlert, oronThrottleInterval -
Values:
onActiveAlertonThrottleIntervalonActionGroupChange -
summarybooleanrequired -
Action summary indicates whether we will send a summary notification about all the generate alerts or notification per individual alert
-
throttlestring · pattern: ^[1-9]\d*[smhd]$required -
Defines how often schedule actions are taken. Time interval in seconds, minutes, hours, or days.
-
groupstringrequired -
Groups actions by use cases. Use
defaultfor alert notifications. -
idstringrequired -
The connector ID.
-
paramsobjectrequired -
Object containing the allowed connector fields, which varies according to the connector type.
-
uuidstring · min: 1 -
A string that does not contain only whitespace characters.
-
action_type_idstringrequired -
The action type used for sending notifications.
-
idstringrequired -
The connector ID.
-
paramsobjectrequired -
Object containing the allowed connector fields, which varies according to the connector type.
-
uuidstring · min: 1 -
A string that does not contain only whitespace characters.
-
created_atstringrequired -
The date the schedule was created
-
created_bystringrequired -
The name of the user that created the schedule
-
enabledbooleanrequired -
Indicates whether the schedule is enabled
-
idstringrequired -
UUID of Attack Discovery schedule
-
last_execution -
An Attack Discovery schedule execution information
-
namestringrequired -
The name of the schedule
-
paramsrequired -
An Attack Discovery schedule params
-
alerts_index_patternstringrequired -
The index pattern to get alerts from
-
api_configrequired -
LLM API configuration.
-
actionTypeIdstringrequired -
Action type ID
-
connectorIdstringrequired -
Connector ID
-
defaultSystemPromptIdstring -
Default system prompt ID
-
modelstring -
Model
-
namestringrequired -
The name of the connector
-
combined_filterobject -
endstring -
filtersobject -
The filter array used to define the conditions for when alerts are selected as an Attack Discovery context. Defaults to an empty array.
-
sizenumberrequired -
startstring -
updated_atstringrequired -
The date the schedule was updated
-
updated_bystringrequired -
The name of the user that updated the schedule
Bad Request response.
-
errorstring -
Error type
-
messagestring -
Human-readable error message describing what went wrong
-
status_codenumber -
HTTP status code